package com.nh.farm.cloud.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 满意度调查填写-明细
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class SaleSatisfactionDetailDto implements Serializable {

    private String kid;

    /**
     * 满意度调查信息表ID
     */
    private String satisfactionInfoId;

    /**
     * 指标编号
     */
    private String indexId;

    /**
     * 指标名称
     */
    private String indexName;

    /**
     * 得分
     */
    private String score;


}
