package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 满意度调查填写-明细
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "SALE_SATISFACTION_DETAIL")
public class SaleSatisfactionDetailPo implements Serializable {

    @TableId(value = "KID", type = IdType.ASSIGN_UUID)
    private String kid;

    /**
     * 满意度调查信息表ID
     */
    @TableField(value = "SATISFACTION_INFO_ID")
    private String satisfactionInfoId;

    /**
     * 指标编号
     */
    @TableField(value = "INDEX_ID")
    private String indexId;

    /**
     * 指标名称
     */
    @TableField(value = "INDEX_NAME")
    private String indexName;

    /**
     * 得分
     */
    @TableField(value = "SCORE")
    private Integer score;


}
