package com.nh.farm.cloud.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import org.apache.ibatis.annotations.Mapper;

import com.nh.farm.cloud.business.domain.po.SaleComplainInfoPo;

import java.util.Map;

/**
 * @description: 投诉建议
 * @author: suyun
 */
@Mapper
public interface SaleComplainInfoMapper extends BaseMapper<SaleComplainInfoPo> {

    Map<String, Object> collectInfo(SalePageQuery pageQuery);

    IPage<Map<String,Object>> queryPage(SalePageQuery pageQuery);

}
