package com.nh.farm.cloud.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.nh.farm.cloud.business.domain.po.SaleSatisfactionBasicPo;
import org.apache.ibatis.annotations.Mapper;

import com.nh.farm.cloud.business.domain.po.SaleSatisfactionDetailPo;

import java.util.List;

/**
 * @description: 满意度调查填写-明细
 * @author: suyun
 */
@Mapper
public interface SaleSatisfactionDetailMapper extends BaseMapper<SaleSatisfactionDetailPo> {

    /**
     * 满意度调查-考评指标-打分明细
     */
    List<SaleSatisfactionBasicPo> getDetail(String satisfactionInfoId, String topId);

}
