package com.nh.farm.cloud.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleComplainInfoPo;
import com.nh.farm.cloud.business.mapper.SaleComplainInfoMapper;
import com.nh.farm.cloud.business.service.SaleComplainInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @description: 投诉建议
 * @author: suyun
 */
@Slf4j
@Service
public class SaleComplainInfoServiceImpl extends ServiceImpl<SaleComplainInfoMapper, SaleComplainInfoPo> implements SaleComplainInfoService {

    @Override
    public Map<String, Object> collectInfo(SalePageQuery pageQuery) {
        Map<String, Object> map = this.baseMapper.collectInfo(pageQuery);
        return map;
    }

    @Override
    public IPage queryPage(SalePageQuery pageQuery) {
        IPage page = this.baseMapper.queryPage(pageQuery);
        return page;
    }

}
