package com.nh.farm.cloud.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleFeedbackInfoPo;
import com.nh.farm.cloud.business.mapper.SaleFeedbackInfoMapper;
import com.nh.farm.cloud.business.service.SaleFeedbackInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @description: 问题反馈基础信息
 * @author: suyun
 */
@Slf4j
@Service
public class SaleFeedbackInfoServiceImpl extends ServiceImpl<SaleFeedbackInfoMapper, SaleFeedbackInfoPo> implements SaleFeedbackInfoService {

    @Override
    public Map<String, Object> collectInfo(SalePageQuery pageQuery) {
        Map<String, Object> map = this.baseMapper.collectInfo(pageQuery);
        return map;
    }

    @Override
    public List<Map<String, Object>> collectBySystem(SalePageQuery pageQuery) {
        List<Map<String, Object>> list = this.baseMapper.collectBySystem(pageQuery);
        return list;
    }

    @Override
    public IPage queryPage(SalePageQuery pageQuery) {
        IPage page = this.baseMapper.queryPage(pageQuery);
        return page;
    }

}
