package com.nh.farm.cloud.util.returnop.anno;

import java.lang.annotation.*;

/**
 * 对属性不处理 注解
 * 被标注的类或属性不会被工具类处理
 * @author 张智凯
 * @version 1.0
 * @data 2023/9/22 14:46
 */
@Target({ElementType.FIELD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface NotSet {
    String[] value() default {};
}
