package com.nh.farm.cloud.util.tree;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

public class TreeUtil {
	public static JSONArray listToTree(JSONArray arr,String CODE,String UPCODE,String child){
	   JSONArray r = new JSONArray();
	   JSONObject hash = new JSONObject();
	   //将数组转为Object的形式，key为数组中的id
	   for(int i=0;i<arr.size();i++){
	      JSONObject json = (JSONObject) arr.get(i);
	      hash.put(json.getString(CODE), json);
	   }
	   //遍历结果集
	   for(int j=0;j<arr.size();j++){
	      //单条记录
	      JSONObject aVal = (JSONObject) arr.get(j);
	      //在hash中取出key为单条记录中pid的值
	      JSONObject hashVP = (JSONObject) hash.get(aVal.get(UPCODE).toString());
	      //如果记录的pid存在，则说明它有父节点，将她添加到孩子节点的集合中
	      if(hashVP!=null){
	         //检查是否有child属性
	         if(hashVP.get(child)!=null){
	            JSONArray ch = (JSONArray) hashVP.get(child);
	            ch.add(aVal);
	            hashVP.put(child, ch);
	         }else{
	            JSONArray ch = new JSONArray();
	            ch.add(aVal);
	            hashVP.put(child, ch);
	         }
	      }else{
	         r.add(aVal);
	      }
	   }
	   return r;
	}
	
	public static void main(String[] args) {
		
		
		JSONObject hash = new JSONObject();
		System.out.println(hash);

	}

}
