package com.nh.farm.cloud.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 投诉建议
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class SaleComplainInfoDto implements Serializable {

    /**
     * 机构号
     */
    private String bankCode;

    /**
     * 组织机构名称
     */
    private String bankName;

    /**
     * 投诉内容
     */
    private String content;

    /**
     * 附件
     */
    private String files;

}
