package com.nh.farm.cloud.business.domain.dto;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * @description: 通用查询条件
 * @author: suyun
 */
@Data
public class SalePageQuery<T> extends Page<T> {

    private String kid;

    /**
     * 机构号
     */
    private String bankCode;

    /**
     * 开始日期
     */
    private String beginDate;

    /**
     * 结束日期
     */
    private String endDate;

    /**
     * 状态
     */
    private String status;

    /**
     * 系统名称
     */
    private String systemName;

    /**
     * 禅道BUG的ID
     */
    private String bugId;

    /**
     * 满意度调查配置ID（ERP配置）
     */
    private String satisfactionBasicId;

    private Integer page = 1;
    private Integer limit = 20;

    public void setPage(Integer page) {
        this.page = page;
        this.current = page;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
        this.size = limit;
    }

}