package com.nh.farm.cloud.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleFeedbackInfoPo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @description: 问题反馈基础信息
 * @author: suyun
 */
@Mapper
public interface SaleFeedbackInfoMapper extends BaseMapper<SaleFeedbackInfoPo> {

    Map<String, Object> collectInfo(SalePageQuery pageQuery);

    List<Map<String, Object>> collectBySystem(SalePageQuery pageQuery);

    IPage<Map<String, Object>> queryPage(SalePageQuery pageQuery);

}
