package com.nh.farm.cloud.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleComplainInfoPo;

import java.util.Map;

/**
 * @description: 投诉建议
 * @author: suyun
 */
public interface SaleComplainInfoService extends IService<SaleComplainInfoPo> {

    /**
     * 汇总
     */
    Map<String, Object> collectInfo(SalePageQuery pageQuery);

    /**
     * 分页
     */
    IPage queryPage(SalePageQuery pageQuery);

}
