package com.nh.farm.cloud.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleFeedbackInfoPo;

import java.util.List;
import java.util.Map;

/**
 * @description: 问题反馈基础信息
 * @author: suyun
 */
public interface SaleFeedbackInfoService extends IService<SaleFeedbackInfoPo> {

    /**
     * 汇总
     */
    Map<String, Object> collectInfo(SalePageQuery pageQuery);

    /**
     * 按系统汇总
     */
    List<Map<String, Object>> collectBySystem(SalePageQuery pageQuery);

    /**
     * 分页
     */
    IPage queryPage(SalePageQuery pageQuery);

}
