package com.nh.farm.cloud.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nh.farm.cloud.business.domain.po.SaleSatisfactionBasicPo;

import java.util.List;

/**
 * @description: 满意度调查配置
 * @author: suyun
 */
public interface SaleSatisfactionBasicService extends IService<SaleSatisfactionBasicPo> {

    /**
     * 获取 满意度调查配置 列表
     */
    List<SaleSatisfactionBasicPo> selectBasicList();

    /**
     * 获取最新的 满意度调查配置
     */
    SaleSatisfactionBasicPo getLatestBasic();

}
