package com.nh.farm.cloud.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleSatisfactionInfoPo;
import com.nh.farm.cloud.business.mapper.SaleSatisfactionInfoMapper;
import com.nh.farm.cloud.business.service.SaleSatisfactionInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @description: 满意度调查填写-基本信息
 * @author: suyun
 */
@Slf4j
@Service
public class SaleSatisfactionInfoServiceImpl extends ServiceImpl<SaleSatisfactionInfoMapper, SaleSatisfactionInfoPo> implements SaleSatisfactionInfoService {

    @Override
    public IPage queryPage(SalePageQuery pageQuery) {
        IPage page = this.baseMapper.queryPage(pageQuery);
        return page;
    }

}
