package com.nh.farm.cloud.config;

import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.client.RestTemplate;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;


/**
 * Web全局配置
 * 
 * @author 冯晓东 398479251@qq.com
 *
 */
@Configuration
public class WebConfig implements WebMvcConfigurer{

	/**
	 * 长度需要>8
	 */
	public static final String DESKEY = "des4TbAdminId";
	/**
	 * 记录 cookie中的session值
	 */
	public static final String ADMINSESSION = "ADMINSESSION";
	/**
	 * 记录 cookie中的session值
	 */
	public static final String SHOPSESSION = "SHOPSESSION";
	/**
	 * 记录 cookie中的session值
	 */
	public static final String MEMBERSESSION = "MEMBERSESSION";
	/**
	 * 记录 cookie中的session值
	 */
	public static final String USERSESSION = "USERSESSION";
	
	/**
	 * 记录 cookie中的用户值
	 */
	public static final String USERSNAME = "USERSNAME";

	/**
	 * 记录 cookie中的token
	 */
	public static final String TOKENSESSION = "TOKENSESSION";
	/**
	 * 记录 用户信息的json
	 */
	public static final String ADMININFOSESSION = "ADMININFOSESSION";

	@Bean
	public RestTemplate restTemplate(RestTemplateBuilder builder) {
		return builder.build();
	}

}

