package com.nh.farm.cloud.util;

/**
 * 通用常量信息
 */
public class Constants
{
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * 成功标记
     */
    public static final Integer SUCCESS = 200;

    /**
     * 失败标记
     */
    public static final Integer FAIL = 500;

    /**
     * 登录成功状态
     */
    public static final String LOGIN_SUCCESS_STATUS = "STATE001";

    /**
     * 登录失败状态
     */
    public static final String LOGIN_FAIL_STATUS = "STATE002";

    /**
     * 启用
     */
    public static final String ENABLE_SUCCESS_STATUS = "ENABLE001";

    /**
     * 禁用
     */
    public static final String ENABLE_FAIL_STATUS = "ENABLE002";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";


    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";


    /**
     * 菜单 redis key
     */
    public static final String MENU_CODE_KEY = "menu_codes:";

    /**
     * 验证码有效期（分钟）
     */
    public static final long CAPTCHA_EXPIRATION = 2;


    /**
     * token分隔符
     */
    public static final String SPLIT_FLAG = "@@";

    /**
     * 短信验证码
     */
    public static final String SMS_CODE_KEY = "sms_codes";

    /**
     * 通配符
     */
    public static final String WILDCARD = "*";
}
