package com.nh.farm.cloud.util;

import com.nh.fk.common.base.ne.NePage;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class LowerUtils2 {

	private static Pattern linePattern = Pattern.compile("_(\\w)");

	public static List<Map<String, Object>> lower(List<Map<String, Object>> menuslist) {
		List<Map<String, Object>> returnlist = new ArrayList<>();
		if(menuslist.size()>0){
			for (int i = 0; i < menuslist.size(); i++) {
				Map<String, Object> hashMap = new HashMap<>();
				Map map = menuslist.get(i);
				Object[] objs = null;
				if (map != null)
					objs = map.keySet().toArray();
				if (objs != null) {
					for (Object obj : objs) {
						Object val = map.get(obj);
						if (null == val) {
							val = "";
						}
						String colnames = obj.toString().toLowerCase();
						colnames = lineToHump(colnames);
						hashMap.put(colnames, val);
					}
				}
				returnlist.add(hashMap);
			}
			return returnlist;
		}else{
			return menuslist;
		}
	}
	
	public static NePage lower(NePage page) {
		NePage page1 =new NePage();
		List<Map<String, Object>> menuslist = page.getList();
		List<Map<String, Object>> returnlist = new ArrayList<>();
		for (int i = 0; i < menuslist.size(); i++) {
			Map<String, Object> hashMap = new HashMap<>();
			Map map = menuslist.get(i);
			Object[] objs = null;
			if (map != null)
				objs = map.keySet().toArray();
			if (objs != null) {
				for (Object obj : objs) {
					Object val = map.get(obj);
					if (null == val) {
						val = "";
					}
					String colnames = obj.toString().toLowerCase();
					colnames = lineToHump(colnames);
					hashMap.put(colnames, val);
				}
			}
			returnlist.add(hashMap);
		}
		page1.setList(returnlist);
		page1.setPageNumber(page.getPageNumber());
		page1.setPageSize(page.getPageSize());
		page1.setTotalPage(page.getTotalPage());
		page1.setTotalRow(page.getTotalRow());
		return page1;
	}
	public static Map<String, Object> lower(Map<String, Object> menuslist) {
			Map<String, Object> hashMap = new HashMap<>();
			Object[] objs = null;
			if (menuslist != null)
				objs = menuslist.keySet().toArray();
			if (objs != null) {
				for (Object obj : objs) {
					Object val = menuslist.get(obj);
					if (null == val) {
						val = "";
					}
					String colnames = obj.toString().toLowerCase();
					colnames = lineToHump(colnames);
					hashMap.put(colnames, val);
				}
			}

		return hashMap;
	}
	
	/** 下划线转驼峰 */
	public static String lineToHump(String str) {
		str = str.toLowerCase();
		Matcher matcher = linePattern.matcher(str);
		StringBuffer sb = new StringBuffer();
		while (matcher.find()) {
			matcher.appendReplacement(sb, matcher.group(1).toUpperCase());
		}
		matcher.appendTail(sb);
		return sb.toString();
	}

	public static void main(String[] args) {
		//System.out.println(lineToHump("bank_code"));
	}

	/**
	 * 驼峰转下划线,最后转为大写
	 * @param str
	 * @return
	 */

	private static final Pattern pattern = Pattern.compile("[A-Z]");
	public static String humpToLine(String str) {
		if(StringUtils.isEmpty(str)){
			return null;
		}
		Matcher matcher = pattern.matcher(str);
		StringBuffer sb = new StringBuffer();
		while (matcher.find()) {
			matcher.appendReplacement(sb, "_" + matcher.group(0).toUpperCase());
		}
		matcher.appendTail(sb);
		return sb.toString().toUpperCase();
	}
}
