package com.nh.farm.cloud.util.redis;

/**
 * 缓存的key 常量
 */
public class CacheConstants
{

    /**
     * 缓存有效期，默认720（分钟）
     */
    public final static long EXPIRATION = 600;

    /**
     * 缓存刷新时间，默认120（分钟）
     */
    public final static long REFRESH_TIME = 240;

    /**
     * 权限缓存前缀
     */
    public final static String LOGIN_TOKEN_KEY = "login_tokens:";
}
